Bug 102621 - Problem by install packages by RH CD
Problem by install packages by RH CD
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2003-08-18 17:23 EDT by Rocker
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-21 16:22:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rocker 2003-08-18 17:23:24 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 

Description of problem:
When I try to install new component of my RedHat Linux by this tool, he ask me 
a CD. After I insert it on my drive, he tells me that there isn't CD on drive.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Select a component
2.Click on "Upgrade" Button
3.Insert asked CD

Actual Results:  I can't install a new compont!!!

Expected Results:  I want to install a new component!!!!

Additional info:
Comment 1 Jeremy Katz 2003-08-18 17:27:48 EDT
Can you try 1.1.9 from http://people.redhat.com/~katzj/redhat-config-packages/?
Comment 2 Rocker 2003-08-19 02:25:59 EDT
I try 1.1.9 and I have the same problem.

There's a config file for this tool?

I made some change to fstab: can be this the problem??
I update my distribution: I use CDs of main install or of upgrade to add a
component? I try the 2 solution, but i have always the same problem.

You can ask eeach config file of my system... ok?

Thanks, Rocker
Comment 3 Rocker 2003-08-20 17:22:22 EDT
I try to start redhat-config-packages by console (on X!).
I have this:

[root@localhost rocker]# redhat-config-packages
unknown cddev hdc
* Core references package efibootmgr which doesn't exist
* Core references package elilo which doesn't exist
[root@localhost rocker]#

Any ideas?!

Thanks, Rocker
Comment 4 Jeremy Katz 2003-10-20 17:41:17 EDT
What does your /etc/fstab look like?
Comment 5 Rocker 2003-11-03 09:37:26 EST
This is my fstab:

/dev/hda2               /                       ext3    
defaults        1 1
none                    /dev/pts                devpts  
gid=5,mode=620  0 0
none                    /proc                   proc    
defaults        0 0
none                    /dev/shm                tmpfs   
defaults        0 0
/dev/hda1               swap                    swap    
defaults        0 0
/dev/cdrom		/mnt/cdrom		iso9660,udf 
users,unhide,noauto,owner,kudzu,ro 0 0
/dev/hda3		/mnt/windows		ntfs	defaults,users
	0 0
/dev/hda4		/mnt/dati		vfat	defaults,users
	0 0
/dev/fd0		/mnt/floppy		auto	noauto,owner
	0 0
none                    /var/lib/jack/tmp       tmpfs   
defaults        0 0

I don't think the problem is here.

I have that problem on some PC since I installed some packages from 
freshrpms.net and other sites (i.e. planet ccrma) or mandrake 


Comment 6 Egor 2004-06-28 15:42:35 EDT
Very simple
Change /dev/cdrom in fstab file on /dev/hdc or what you see in

That should solve the problem..

Comment 7 Sezer Vzser 2004-08-22 09:38:05 EDT
I have seen this problem with Fedora core 2. My solution is
when asked I eject existing CD. And insert asked CD. But I do not push
CD Drive's Open button. I click OK button on screen. Then cd tray close.
Comment 8 Jeremy Katz 2005-09-21 16:22:12 EDT
This report is filed against a product which is no longer supported.  It is very
likely that the problem is resolved in the current version of Fedora Core or
scheduled to be resolved with the new system-config-packages scheduled to land
in Fedora Core 5.

Note You need to log in before you can comment on or make changes to this bug.